View all methods
initiatives.progressReport
Get progress report for an initiative showing entity-level task completion.
Facts
| Method | GET https://api.getdx.com/initiatives.progressReport |
| Required scope | scorecards:read |
Arguments
Required arguments
| Name | Type | Description |
|---|---|---|
token |
Token |
Auth token passed as an HTTP header. |
id |
String |
Initiative public ID. |
Optional arguments
| Name | Type | Description |
|---|---|---|
entity_type_identifiers |
String |
Comma-separated entity type identifiers to filter by. |
limit |
Integer |
Limit the number of entities per page. Maximum 100, defaults to 50. |
cursor |
String |
Cursor used to request the next page. Can be found in prior request via response_metadata.next_cursor. |
Example request
This is a typical request:
curl -X GET "https://api.getdx.com/initiatives.progressReport?id=qypefayqpvnf&limit=10" \
-H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'
Example response
This is a typical success response:
{
"ok": true,
"entities": [
{
"name": "Payment Service",
"identifier": "payment-service",
"description": "Handles payment processing",
"entity_type_identifier": "service",
"total_tasks": 8,
"completed_tasks": 6,
"overdue_tasks": 1,
"due_soon_tasks": 1,
"remaining_dev_days": 2.5
},
{
"name": "Messenger Service",
"identifier": "messenger-service",
"description": "Handles SMS messaging",
"entity_type_identifier": "service",
"total_tasks": 1,
"completed_tasks": 0,
"overdue_tasks": 1,
"due_soon_tasks": 0,
"remaining_dev_days": 2
}
],
"response_metadata": {
"next_cursor": "auth-service"
}
}
Response fields
Entity progress object
| Field | Type | Description |
|---|---|---|
name |
String |
Entity name. |
identifier |
String |
Entity identifier. |
description |
String |
Entity description. |
entity_type_identifier |
String |
Entity type identifier. |
total_tasks |
Integer |
Total number of checks. |
completed_tasks |
Integer |
Number of completed checks. |
overdue_tasks |
Integer |
Number of overdue checks. |
due_soon_tasks |
Integer |
Number of checks due within 14 days. |
remaining_dev_days |
Number |
Estimated remaining effort in dev days. |
Errors
This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.
| Error | Description |
|---|---|
not_authed |
No authentication token provided. |
invalid_auth |
Some aspect of authentication cannot be validated. |
invalid_arguments |
One or more of the arguments provided is invalid. |